chords = {
  {
    complexity = 0,
    name = 'Majeur',
    code = 'maj',
    display = '',
    pattern = '10001001'
  },
  {
    complexity = 0,
    name = 'mineur',
    code = 'min',
    display = 'm',
    pattern = '10010001'
  },
  {
    complexity = 0,
    name = 'Puissance',
    code = 'puiss',
    display = '5',
    pattern = '10000001'
  },
  {
    complexity = 0,
    name = 'Augmenté',
    code = 'aug',
    display = 'aug',
    pattern = '100010001'
  },
  {
    complexity = 0,
    name = 'Diminué',
    code = 'dim',
    display = 'dim',
    pattern = '1001001'
  },
  {
    complexity = 1,
    name = 'suspendu deuxième',
    code = 'sus2',
    display = 'sus2',
    pattern = '10100001'
  },
  {
    complexity = 1,
    name = 'suspendu quatrième',
    code = 'sus4',
    display = 'sus4',
    pattern = '10000101'
  },
  {
    complexity = 2,
    name = 'Majeur ajouter deuxième',
    code = 'majaj2',
    display = 'Majaj2',
    pattern = '10101001'
  },
  {
    complexity = 2,
    name = 'Majeur ajouter quatrième',
    code = 'majaj4',
    display = 'Majaj4',
    pattern = '10001101'
  },
  {
    complexity = 2,
    name = 'mineur ajouter deuxième',
    code = 'minaj2',
    display = 'minaj2',
    pattern = '10110001'
  },
  {
    complexity = 2,
    name = 'mineur ajouter quatrième',
    code = 'minaj4',
    display = 'minaj4',
    pattern = '10010101'
  },
  {
    complexity = 2,
    name = 'Majeur ajouter deuxième diminué cinquième',
    code = 'majaj2b5',
    display = 'Majaj2b5',
    pattern = '1010100110'
  },
  {
    complexity = 2,
    name = 'mineur ajouter deuxième diminué cinquième',
    code = 'minaj2b5',
    display = 'minaj2b5',
    pattern = '10110010'
  },
  { 
    complexity = 0,
    name = 'sixième',
    code = 'maj6',
    display = '6',
    pattern = '1000100101'
  },
  {
    complexity = 0,
    name = 'mineur sixième',
    code = 'min6',
    display = 'm6',
    pattern = '1001000101'
  },
  {
    complexity = 2,
    name = 'Majeur sixième neuvième',
    code = 'maj69',
    display = 'Maj69',
    pattern = '100010010100001'
  },
  {
    complexity = 2,
    name = 'mineur sixième neuvième',
    code = 'min69',
    display = 'min69',
    pattern = '100100010100001'
  },
  {
    complexity = 0,
    name = 'septième',
    code = '7',
    display = '7',
    pattern = '10001001001'
  },
  {
    complexity = 0,
    name = 'Majeur septième',
    code = 'maj7',
    display = 'Maj7',
    pattern = '100010010001'
  },
  {
    complexity = 0,
    name = 'mineur septième',
    code = 'min7',
    display = 'm7',
    pattern = '10010001001'
  },
  {
    complexity = 1,
    name = 'mineur/Majeur septième',
    code = 'min/Maj7',
    display = 'min/Maj7',
    pattern = '100100010001'
  },
  {
    complexity = 0,
    name = 'diminué septième',
    code = 'dim7',
    display = 'dim7',
    pattern = '1001001001'
  },
  {
    complexity = 1,
    name = 'mineur demi-diminué',
    code = 'min7b5',
    display = 'min7b5',
    pattern = '10010010001'
  },
  {
    complexity = 1,
    name = '(sans fondamentale) septième ajouter diminué deuxième',
    code = 'x7addb2',
    display = 'x7addb2',
    pattern = '01001001001'
  },
  {
    complexity = 2,
    name = 'septième suspendu quatrième',
    code = '7sus4',
    display = '7sus4',
    pattern = '10000101001'
  },
  {
    complexity = 2,
    name = 'Majeur septième suspendu quatrième',
    code = 'maj7sus4',
    display = 'Maj7sus4',
    pattern = '100001010001'
  },
  {
    complexity = 2,
    name = 'septième diminué cinquième',
    code = '7b5',
    display = '7b5',
    pattern = '10001010001'     
  },
  {
    complexity = 2,
    name = 'septième augmenté cinquième',
    code = '7#5',
    display = '7#5',
    pattern = '10001000101'
  },
  {
    complexity = 2,
    name = 'major septième diminué cinquième',
    code = 'maj7b5',
    display = 'Maj7b5',
    pattern = '100010100001'
  },
  {
    complexity = 2,
    name = 'major septième augmenté cinquième',
    code = 'maj7#5',
    display = 'Maj7#5',
    pattern = '100010001001'
  },
  {
    complexity = 1,
    name = 'septième Puissance',
    code = 'puiss7',
    display = '57',
    pattern = '100000010010'
  },
  {
    complexity = 1,
    name = 'Majeur septième Puissance',
    code = 'puissMaj7',
    display = '5Maj7',
    pattern = '100000010001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu deuxième diminué cinquième augmenté neuvième',
    code = '7sus2b5#9',
    display = '7sus2b5#9',
    pattern = '1010001000100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu deuxième diminué cinquième augmenté neuvième',
    code = 'm/maj7sus2b5#9',
    display = 'm/Maj7sus2b5#9',
    pattern = '1010001000010001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu quatrième diminué cinquième augmenté neuvième',
    code = '7sus4b5#9',
    display = '7sus4b5#9',
    pattern = '1000011000100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu quatrième diminué cinquième augmenté neuvième',
    code = 'm/maj7sus4b5#9',
    display = 'm/Maj7sus4b5#9',
    pattern = '1000011000010001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu deuxième diminué cinquième augmenté neuvième diminué treizième',
    code = '7sus2b5#9b13',
    display = '7sus2b5#9b13',
    pattern = '1010001000100001000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu deuxième diminué cinquième augmenté neuvième diminué treizième',
    code = 'm/maj7sus2b5#9b13',
    display = 'm/Maj7sus2b5#9b13',
    pattern = '1010001000010001000010'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu quatrième diminué cinquième augmenté neuvième diminué treizième',
    code = '7sus4b5#9b13',
    display = '7sus4b5#9b13',
    pattern = '1000011000100001000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu quatrième diminué cinquième augmenté neuvième diminué treizième',
    code = 'm/maj7sus4b5#9b13',
    display = 'm/Maj7sus4b5#9b13',
    pattern = '1000011000010001000010'
  },
  {
    complexity = 2,
    name = 'septième suspendu quatrième augmenté cinquième',
    code = '7sus4#5',
    display = '7sus4#5',
    pattern = '10000100101'
  },
  {
    complexity = 2,
    name = 'Majeur septième suspendu quatrième augmenté cinquième',
    code = 'maj7sus4#5',
    display = 'Maj7sus4#5',
    pattern = '100001001001'
  },
  {
    complexity = 2,
    name = 'septième huitième (octave) Puissance',
    code = 'puiss78',
    display = '578',
    pattern = '1000000100101'
  },
  {
    complexity = 2,
    name = 'Majeur septième huitième (octave) Puissance',
    code = 'puissMaj78',
    display = '5Maj78',
    pattern = '1000000100011'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième augmenté cinquième diminué neuvième',
    code = '7sus2#5b9',
    display = '7sus2#5b9',
    pattern = '101000001010010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième augmenté cinquième diminué neuvième',
    code = 'maj7sus2#5b9',
    display = 'Maj7sus2#5b9',
    pattern = '101000001001010'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième augmenté cinquième diminué neuvième',
    code = '7sus4#5b9',
    display = '7sus4#5b9',
    pattern = '100001001010010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième augmenté cinquième diminué neuvième',
    code = 'maj7sus4#5b9',
    display = 'Maj7sus4#5b9',
    pattern = '100001001001010'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième augmenté cinquième diminué neuvième augmenté onzième',
    code = '7sus2#5b9#11',
    display = '7sus2#5b9#11',
    pattern = '1010000010100100001'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième augmenté cinquième diminué neuvième augmenté onzième',
    code = 'maj7sus2#5b9#11',
    display = 'Maj7sus2#5b9#11',
    pattern = '1010000010010100001'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième augmenté cinquième diminué neuvième augmenté onzième',
    code = '7sus4#5b9#11',
    display = '7sus4#5b9#11',
    pattern = '1000010010100100001'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième augmenté cinquième diminué neuvième augmenté onzième',
    code = 'maj7sus4#5b9#11',
    display = 'Maj7sus4#5b9#11',
    pattern = '1000010010010100001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu deuxième augmenté cinquième augmenté neuvième',
    code = '7sus2#5#9',
    display = '7sus2#5#9',
    pattern = '1010000010100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu deuxième augmenté cinquième augmenté neuvième',
    code = 'm/maj7sus2#5#9',
    display = 'm/Maj7sus2#5#9',
    pattern = '1010000010010001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu quatrième augmenté cinquième augmenté neuvième',
    code = '7sus4#5#9',
    display = '7sus4#5#9',
    pattern = '1000010010100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu quatrième augmenté cinquième augmenté neuvième',
    code = 'm/Maj7sus4#5#9',
    display = 'm/Maj7sus4#5#9',
    pattern = '1000010010010001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu deuxième augmenté cinquième augmenté neuvième augmenté onzième',
    code = '7sus2#5#9#11',
    display = '7sus2#5#9#11',
    pattern = '1010000010100001001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu deuxième augmenté cinquième augmenté neuvième augmenté onzième',
    code = 'm/maj7sus2#5#9#11',
    display = 'm/Maj7sus2#5#9#11',
    pattern = '1010000010010001001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu quatrième augmenté cinquième augmenté neuvième augmenté onzième',
    code = '7sus4#5#9#11',
    display = '7sus4#5#9#11',
    pattern = '1000010010100001001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu quatrième augmenté cinquième augmenté neuvième augmenté onzième',
    code = 'm/maj7sus4#5#9#11',
    display = 'm/Maj7sus4#5#9#11',
    pattern = '1000010010010001001'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième diminué neuvième',
    code = '7sus2b9',
    display = '7sus2b9',
    pattern = '101000010010010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième diminué neuvième',
    code = 'maj7sus2b9',
    display = 'Maj7sus2b9',
    pattern = '101000010001010'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième diminué neuvième',
    code = '7sus4b9',
    display = '7sus4b9',
    pattern = '100001010010010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième diminué neuvième',
    code = 'maj7sus4b9',
    display = 'Maj7sus4b9',
    pattern = '100001010001010'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième diminué treizième',
    code = '7sus2b13',
    display = '7sus2b13',
    pattern = '1010000100100000000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième diminué treizième',
    code = 'maj7sus2b13',
    display = 'Maj7sus2b13',
    pattern = '1010000100010000000010'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième diminué treizième',
    code = '7sus4b13',
    display = '7sus4b13',
    pattern = '1000010100100000000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième diminué treizième',
    code = 'maj7sus4b13',
    display = 'Maj7sus4b13',
    pattern = '1000010100010000000010'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième diminué neuvième diminué treizième',
    code = '7sus2b9b13',
    display = '7sus2b9b13',
    pattern = '1010000100100100000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième diminué neuvième diminué treizième',
    code = 'maj7sus2b9b13',
    display = 'Maj7sus2b9b13',
    pattern = '1010000100010100000010'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième diminué neuvième diminué treizième',
    code = '7sus4b9b13',
    display = '7sus4b9b13',
    pattern = '1000010100100100000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième diminué neuvième diminué treizième',
    code = 'maj7sus4b9b13',
    display = 'Maj7sus4b9b13',
    pattern = '1000010100010100000010'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième diminué neuvième augmenté onzième',
    code = '7sus2b9#11',
    display = '7sus2b9#11',
    pattern = '1010000100100100001'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième diminué neuvième augmenté onzième',
    code = 'maj7sus2b9#11',
    display = 'Maj7sus2b9#11',
    pattern = '1010000100010100001'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième diminué neuvième augmenté onzième',
    code = '7sus4b9#11',
    display = '7sus4b9#11',
    pattern = '1000010100100100001'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième diminué neuvième augmenté onzième',
    code = 'maj7sus4b9#11',
    display = 'Maj7sus4b9#11',
    pattern = '1000010100010100001'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième diminué neuvième augmenté onzième diminué treizième',
    code = '7sus2b9#11b13',
    display = '7sus2b9#11b13',
    pattern = '101000010010010000101'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième diminué neuvième augmenté onzième diminué treizième',
    code = 'maj7sus2b9#11b13',
    display = 'Maj7sus2b9#11b13',
    pattern = '101000010001010000101'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième diminué neuvième augmenté onzième diminué treizième',
    code = '7sus4b9#11b13',
    display = '7sus4b9#11b13',
    pattern = '100001010010010000101'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième diminué neuvième augmenté onzième diminué treizième',
    code = 'maj7sus4b9#11b13',
    display = 'Maj7sus4b9#11b13',
    pattern = '100001010001010000101'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu deuxième augmenté neuvième',
    code = '7sus2#9',
    display = '7sus2#9',
    pattern = '1010000100100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu deuxième augmenté neuvième',
    code = 'm/maj7sus2#9',
    display = 'm/Maj7sus2#9',
    pattern = '1010000100010001'
  },
  {
    complexity = 3,
    name = 'mineur septième suspendu quatrième augmenté neuvième',
    code = '7sus4b5#9',
    display = '7sus4#9',
    pattern = '1000010100100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième suspendu quatrième augmenté neuvième',
    code = 'm/maj7sus4#9',
    display = 'm/Maj7sus4#9',
    pattern = '1000010100010001'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième augmenté onzième',
    code = '7sus2#11',
    display = '7sus2#11',
    pattern = '1010000100100000001'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième augmenté onzième',
    code = 'maj7sus2#11',
    display = 'Maj7sus2#11',
    pattern = '1010000100010000001'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième augmenté onzième',
    code = '7sus4#11',
    display = '7sus4#11',
    pattern = '1000010100100000001'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième augmenté onzième',
    code = 'maj7sus4#11',
    display = 'Maj7sus4#11',
    pattern = '1000010100010000001'
  },
  {
    complexity = 3,
    name = 'septième suspendu deuxième augmenté onzième diminué treizième',
    code = '7sus2#11b13',
    display = '7sus2#11b13',
    pattern = '101000010010000000101'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu deuxième augmenté onzième diminué treizième',
    code = 'maj7sus2#11b13',
    display = 'Maj7sus2#11b13',
    pattern = '101000010001000000101'
  },
  {
    complexity = 3,
    name = 'septième suspendu quatrième augmenté onzième diminué treizième',
    code = '7sus4#11b13',
    display = '7sus4#11b13',
    pattern = '100001010010000000101'
  },
  {
    complexity = 3,
    name = 'Majeur septième suspendu quatrième augmenté onzième diminué treizième',
    code = 'maj7sus4#11b13',
    display = 'Maj7sus4#11b13',
    pattern = '100001010001000000101'
  },
  {
    complexity = 3,
    name = 'septième diminué cinquième diminué neuvième',
    code = '7b5b9',
    display = '7b5b9',
    pattern = '100010100010010'
  },
  {
    complexity = 3,
    name = 'Majeur septième diminué cinquième diminué neuvième',
    code = 'maj7b5b9',
    display = 'Maj7b5b9',
    pattern = '100010100001010'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué cinquième diminué neuvième',
    code = 'min7b5b9',
    display = 'min7b5b9',
    pattern = '100100100010010'
  },
  { 
   complexity = 3,
    name = 'mineur/Majeur septième diminué cinquième diminué neuvième',
    code = 'm/maj7b5b9',
    display = 'm/Maj7b5b9',
    pattern = '100100100001010'
  },
  { 
   complexity = 3,
    name = 'mineur septième diminué cinquième augmenté neuvième',
    code = 'min7b5#9',
    display = 'min7b5#9',
    pattern = '1001001000100001'
  },
  { 
    complexity = 3,
    name = 'mineur/Majeur septième diminué cinquième augmenté neuvième',
    code = 'm/Maj7b5#9',
    display = 'm/Maj7b5#9',
    pattern = '1001001000010001'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué cinquième augmenté neuvième diminué treizième',
    code = 'min7b5#9b13',
    display = 'min7b5#9b13',
    pattern = '1001001000100001000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué cinquième augmenté neuvième diminué treizième',
    code = 'm/maj7b5#9b13',
    display = 'm/Maj7b5#9b13',
    pattern = '1001001000010001000010'
  },
  {
    complexity = 3,
    name = 'septième diminué cinquième diminué treizième',
    code = '7b5b13',
    display = '7b5b13',
    pattern = '1000101000010000000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième diminué cinquième diminué treizième',
    code = 'maj7b5b13',
    display = 'Maj7b5b13',
    pattern = '1000101000001000000010'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué cinquième diminué treizième',
    code = 'min7b5b13',
    display = 'min7b5b13',
    pattern = '1001001000100000000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué cinquième diminué treizième',
    code = 'm/maj7b5b13',
    display = 'm/Maj7b5b13',
    pattern = '1001001000010000000010'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué cinquième augmenté neuvième',
    code = 'min7b5#9',
    display = 'min7b5#9',
    pattern = '1001001000100001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté cinquième diminué neuvième',
    code = 'min7#5b9',
    display = 'min7#5b9',
    pattern = '100100001010010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté cinquième diminué neuvième',
    code = 'm/maj7#5b9',
    display = 'm/Maj7#5b9',
    pattern = '100100001001010'
  },
  {
    complexity = 3,
    name = 'septième augmenté cinquième diminué neuvième',
    code = '7#5b9',
    display = '7#5b9',
    pattern = '100010001010010'
  },
  {
    complexity = 3,
    name = 'Majeur septième augmenté cinquième diminué neuvième',
    code = 'maj7#5b9',
    display = 'Maj7#5b9',
    pattern = '100010001001010'
  },
  {
    complexity = 3,
    name = 'septième augmenté cinquième diminué neuvième augmenté onzième',
    code = '7#5b9#11',
    display = '7#5b9#11',
    pattern = '1000100010100100001'
  },
  {
    complexity = 3,
    name = 'Majeur septième augmenté cinquième diminué neuvième augmenté onzième',
    code = 'maj7#5b9#11',
    display = 'Maj7#5b9#11',
    pattern = '1000100010010100001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté cinquième diminué neuvième augmenté onzième',
    code = 'min7#5b9#11',
    display = 'min7#5b9#11',
    pattern = '1001000010100100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté cinquième diminué neuvième augmenté onzième',
    code = 'm/maj7#5b9#11',
    display = 'm/Maj7#5b9#11',
    pattern = '1001000010010100001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté cinquième augmenté neuvième',
    code = 'min7#5#9',
    display = 'min7#5#9',
    pattern = '1001000010100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté cinquième augmenté neuvième',
    code = 'm/Maj7#5#9',
    display = 'm/Maj7#5#9',
    pattern = '1001000010010001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté cinquième augmenté neuvième augmenté onzième',
    code = 'min7#5#9#11',
    display = 'min7#5#9#11',
    pattern = '1001000010100001001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté cinquième augmenté neuvième augmenté onzième',
    code = 'm/Maj7#5#9#11',
    display = 'm/Maj7#5#9#11',
    pattern = '1001000010010001001'
  },
  {
    complexity = 3,
    name = 'septième augmenté cinquième augmenté onzième',
    code = '7#5#11',
    display = '7#5#11',
    pattern = '1000100010100000001'
  },
  {
    complexity = 3,
    name = 'Majeur septième augmenté cinquième augmenté onzième',
    code = 'maj7#5#11',
    display = 'Maj7#5#11',
    pattern = '1000100010010000001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté cinquième augmenté onzième',
    code = 'min7#5#11',
    display = 'min7#5#11',
    pattern = '1001000010100000001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté cinquième augmenté onzième',
    code = 'm/Maj7#5#11',
    display = 'm/Maj7#5#11',
    pattern = '1001000010010000001'
  },
  {
    complexity = 2,
    name = 'septième huitième (octave)',
    code = '78',
    display = '78',
    pattern = '1000100100101'
  },
  {
    complexity = 2,
    name = 'Majeur septième huitième (octave)',
    code = 'maj78',
    display = 'Maj78',
    pattern = '1000100100011'
  },
  {
    complexity = 2,
    name = 'mineur septième huitième (octave)',
    code = 'min78',
    display = 'min78',
    pattern = '1001000100101'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième huitième (octave)',
    code = 'm/maj78',
    display = 'm/Maj78',
    pattern = '1001000100011'
  },
  {
    complexity = 1,
    name = 'septième neuvième',
    code = '79',
    display = '79',
    pattern = '100010010010001'
  },
  {
    complexity = 2,
    name = 'Majeur septième neuvième',
    code = 'maj79',
    display = 'Maj79',
    pattern = '100010010001001'
  },
  {
    complexity = 1,
    name = 'mineur septième neuvième',
    code = 'min79',
    display = 'min79',
    pattern = '100100010010001'
  },
  {
    complexity = 2,
    name = 'mineur/Majeur septième neuvième',
    code = 'm/maj79',
    display = 'm/Maj79',
    pattern = '100100010001001'
  },
  {
    complexity = 2,
    name = 'septième diminué neuvième',
    code = '7b9',
    display = '7b9',
    pattern = '100010010010010'
  },
  {
    complexity = 2,
    name = 'Majeur septième diminué neuvième',
    code = 'maj7b9',
    display = 'Maj7b9',
    pattern = '100010010001010'
  },
  {
    complexity = 2,
    name = 'mineur septième diminué neuvième',
    code = 'min7b9',
    display = 'min7b9',
    pattern = '100100010010010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué neuvième',
    code = 'm/maj7b9',
    display = 'm/Maj7b9',
    pattern = '100100010001010'
  },
  {
    complexity = 3,
    name = 'septième diminué neuvième augmenté onzième',
    code = '7b9#11',
    display = '7b9#11',
    pattern = '1000100100100100001'
  },
  {
    complexity = 3,
    name = 'Majeur septième diminué neuvième augmenté onzième',
    code = 'maj7b9#11',
    display = 'Maj7b9#11',
    pattern = '1000100100010100001'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué neuvième augmenté onzième',
    code = 'min7b9#11',
    display = 'min7b9#11',
    pattern = '1001000100100100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué neuvième augmenté onzième',
    code = 'm/maj7b9#11',
    display = 'm/Maj7b9#11',
    pattern = '1001000100010100001'
  },
  {
    complexity = 3,
    name = 'septième diminué neuvième augmenté onzième diminué treizième',
    code = '7b9#11b13',
    display = '7b9#11b13',
    pattern = '1000100100100100001010'
  },
  {
    complexity = 3,
    name = 'Majeur septième diminué neuvième augmenté onzième diminué treizième',
    code = 'maj7b9#11b13',
    display = 'Maj7b9#11b13',
    pattern = '1000100100010100001010'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué neuvième augmenté onzième diminué treizième',
    code = 'min7b9#11b13',
    display = 'min7b9#11b13',
    pattern = '1001000100100100001010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué neuvième augmenté onzième diminué treizième',
    code = 'm/maj7b9#11b13',
    display = 'm/Maj7b9#11b13',
    pattern = '1001000100010100001010'
  },
  {
    complexity = 3,
    name = 'septième diminué neuvième diminué treizième',
    code = '7b9b13',
    display = '7b9b13',
    pattern = '1000100100100100000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième diminué neuvième diminué treizième',
    code = 'maj7b9b13',
    display = 'Maj7b9b13',
    pattern = '1000100100010100000010'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué neuvième diminué treizième',
    code = 'min7b9b13',
    display = 'min7b9b13',
    pattern = '1001000100100100000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué neuvième diminué treizième',
    code = 'm/maj7b9b13',
    display = 'm/Maj7b9b13',
    pattern = '1001000100010100000010'
  },
  {
    complexity = 3,
    name = 'septième diminué treizième',
    code = '7b13',
    display = '7b13',
    pattern = '1000100100100000000010'
  },
  {
    complexity = 3,
    name = 'Majeur septième diminué treizième',
    code = 'maj7b13',
    display = 'Maj7b13',
    pattern = '1000100100010000000010'
  },
  {
    complexity = 3,
    name = 'mineur septième diminué treizième',
    code = 'min7b13',
    display = 'min7b13',
    pattern = '1001000100100000000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième diminué treizième',
    code = 'm/maj7b13',
    display = 'm/Maj7b13',
    pattern = '1001000100010000000010'
  },
  { 
    complexity = 2,
    name = 'mineur septième augmenté neuvième',
    code = 'min7#9',
    display = 'min7#9',
    pattern = '1001000100100001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté neuvième',
    code = 'm/maj7#9',
    display = 'm/Maj7#9',
    pattern = '1001000100010001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté neuvième augmenté onzième',
    code = 'min7#9#11',
    display = 'min7#9#11',
    pattern = '1001000100100001001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté neuvième augmenté onzième',
    code = 'm/maj7#9#11',
    display = 'm/Maj7#9#11',
    pattern = '1001000100010001001'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté neuvième augmenté onzième diminué treizième',
    code = 'min7#9#11b13',
    display = 'min7#9#11b13',
    pattern = '1001000100100001001010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté neuvième augmenté onzième diminué treizième',
    code = 'm/maj7#9#11b13',
    display = 'm/Maj7#9#11b13',
    pattern = '1001000100010001001010'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté neuvième diminué treizième',
    code = 'min7#9b13',
    display = 'min7#9b13',
    pattern = '1001000100100001000010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté neuvième diminué treizième',
    code = 'm/maj7#9b13',
    display = 'm/Maj7#9b13',
    pattern = '1001000100010001000010'
  },
  {
    complexity = 2,
    name = 'septième augmenté onzième',
    code = '7#11',
    display = '7#11',
    pattern = '1000100100100000001'
  },
  {
    complexity = 2,
    name = 'Majeur septième augmenté onzième',
    code = 'maj7#11',
    display = 'Maj7#11',
    pattern = '1000100100010000001'
  },
  {
    complexity = 2,
    name = 'mineur septième augmenté onzième',
    code = 'min7#11',
    display = 'min7#11',
    pattern = '1001000100100000001'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté onzième',
    code = 'm/maj7#11',
    display = 'm/Maj7#11',
    pattern = '1001000100010000001'
  },
  {
    complexity = 3,
    name = 'septième augmenté onzième diminué treizième',
    code = '7#11b13',
    display = '7#11b13',
    pattern = '1000100100100000001010'
  },
  {
    complexity = 3,
    name = 'Majeur septième augmenté onzième diminué treizième',
    code = 'maj7#11b13',
    display = 'Maj7#11b13',
    pattern = '1000100100010000001010'
  },
  {
    complexity = 3,
    name = 'mineur septième augmenté onzième diminué treizième',
    code = 'min7#11b13',
    display = 'min7#11b13',
    pattern = '1001000100100000001010'
  },
  {
    complexity = 3,
    name = 'mineur/Majeur septième augmenté onzième diminué treizième',
    code = 'm/maj7#11b13',
    display = 'm/Maj7#11b13',
    pattern = '1001000100010000001010'
  },
  {
    complexity = 0,
    name = 'Majeur huitième (octave)',
    code = 'maj8',
    display = 'Maj8',
    pattern = '1000100100001'
  },
  {
    complexity = 0,
    name = 'mineur huitième (octave)',
    code = 'min8',
    display = 'min8',
    pattern = '1001000100001'
  },
  {
    complexity = 1,
    name = 'huitième (octave) suspendu deuxième',
    code = '8sus2',
    display = '8sus2',
    pattern = '1010000100001'
  },
  {
    complexity = 1,
    name = 'huitième (octave) suspendu quatrième',
    code = '8sus4',
    display = '8sus4',
    pattern = '1000010100001'
  },
  {
    complexity = 1,
    name = 'huitième (octave) Puissance',
    code = 'puiss8',
    display = '58',
    pattern = '1000000100001'
  },
  {
    complexity = 2,
    name = 'Majeur huitième (octave) diminué cinquième',
    code = 'maj8b5',
    display = 'Maj8b5',
    pattern = '1000101000001'
  },
  {
    complexity = 2,
    name = 'mineur huitième (octave) diminué cinquième',
    code = 'min8b5',
    display = 'min8b5',
    pattern = '1001001000001'
  },
  {
    complexity = 2,
    name = 'Majeur huitième (octave) augmenté cinquième',
    code = 'maj8#5',
    display = 'Maj8#5',
    pattern = '1000100010001'
  },
  {
    complexity = 2,
    name = 'mineur huitième (octave) augmenté cinquième',
    code = 'min8#5',
    display = 'min8#5',
    pattern = '1001000010001'
  },
  {
    complexity = 1,
    name = 'Majeur neuvième',
    code = 'maj9',
    display = 'Maj9',
    pattern = '100010010000001'
  },
  {
    complexity = 1,
    name = 'mineur neuvième',
    code = 'min9',
    display = 'min9',
    pattern = '100100010000001'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième diminué cinquième',
    code = 'maj9b5',
    display = 'Maj9b5',
    pattern = '100010100000001'
  },
  {
    complexity = 3,
    name = 'mineur neuvième augmenté cinquième',
    code = 'min9#5',
    display = 'min9#5',
    pattern = '100100001000001'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième augmenté onzième',
    code = 'maj9#11',
    display = 'Maj9#11',
    pattern = '1000100100000010001'
  },
  {
    complexity = 3,
    name = 'mineur neuvième augmenté onzième',
    code = 'min9#11',
    display = 'min9#11',
    pattern = '1001000100000010001'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième diminué cinquième augmenté onzième',
    code = 'maj9b5#11',
    display = 'Maj9b5#11',
    pattern = '1000101000000010001'
  },
  {
    complexity = 3,
    name = 'mineur neuvième augmenté cinquième augmenté onzième',
    code = 'min9#5#11',
    display = 'min9#5#11',
    pattern = '1001000010000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième',
    code = '9sus2',
    display = '9sus2',
    pattern = '101000010000001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième',
    code = '9sus4',
    display = '9sus4',
    pattern = '100001010000001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté cinquième',
    code = '9sus2#5',
    display = '9sus2#5',
    pattern = '101000001000001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté cinquième',
    code = '9sus4#5',
    display = '9sus4#5',
    pattern = '100001001000001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté cinquième augmenté onzième',
    code = '9sus2#5#11',
    display = '9sus2#5#11',
    pattern = '1010000010000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté cinquième augmenté onzième',
    code = '9sus4#5#11',
    display = '9sus4#5#11',
    pattern = '1000010010000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté onzième',
    code = '9sus2#11',
    display = '9sus2#11',
    pattern = '1010000100000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté onzième',
    code = '9sus4#11',
    display = '9sus4#11',
    pattern = '1000010100000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté onzième diminué treizième',
    code = '9sus2#11b13',
    display = '9sus2#11b13',
    pattern = '1010000100000010001010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté onzième diminué treizième',
    code = '9sus4#11b13',
    display = '9sus4#11b13',
    pattern = '1000010100000010001010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième diminué treizième',
    code = '9sus2b13',
    display = '9sus2b13',
    pattern = '1010000100000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième diminué treizième',
    code = '9sus4b13',
    display = '9sus4b13',
    pattern = '1000010100000010000010'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième diminué cinquième diminué treizième',
    code = 'maj9b5b13',
    display = 'Maj9b5b13',
    pattern = '1000101000000010000010'
  },
  {
    complexity = 3,
    name = 'mineur neuvième diminué cinquième diminué treizième',
    code = 'min9b5b13',
    display = 'min9b5b13',
    pattern = '1001001000000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième diminué cinquième diminué treizième',
    code = '9sus2b5b13',
    display = '9sus2b5b13',
    pattern = '1010001000000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième diminué cinquième diminué treizième',
    code = '9sus4b5b13',
    display = '9sus4b5b13',
    pattern = '1000011000000010000010'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième augmenté cinquième augmenté onzième',
    code = 'maj9#5#11',
    display = 'Maj9#5#11',
    pattern = '1000100010000010001'
  },
  {
    complexity = 3,
    name = 'mineur neuvième augmenté cinquième augmenté onzième',
    code = 'min9#5#11',
    display = 'min9#5#11',
    pattern = '1001000010000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté cinquième augmenté onzième',
    code = '9sus2#5#11',
    display = '9sus2#5#11',
    pattern = '1010000010000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté cinquième augmenté onzième',
    code = '9sus4#5#11',
    display = '9sus4#5#11',
    pattern = '1000010010000010001'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième augmenté cinquième diminué treizième',
    code = 'maj9#5b13',
    display = 'Maj9#5b13',
    pattern = '1000100010000010000010'
  },
  {
    complexity = 3,
    name = 'mineur neuvième augmenté cinquième diminué treizième',
    code = 'min9#5b13',
    display = 'min9#5b13',
    pattern = '1001000010000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté cinquième diminué treizième',
    code = '9sus2#5b13',
    display = '9sus2#5b13',
    pattern = '1010000010000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté cinquième diminué treizième',
    code = '9sus4#5b13',
    display = '9sus4#5b13',
    pattern = '1000010010000010000010'
  },
  {
    complexity = 2,
    name = 'Majeur neuvième augmenté onzième',
    code = 'maj9#11',
    display = 'Maj9#11',
    pattern = '1000100100000010001'
  },
  {
    complexity = 2,
    name = 'mineur neuvième augmenté onzième',
    code = 'min9#11',
    display = 'min9#11',
    pattern = '1001000100000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté onzième',
    code = '9sus2#11',
    display = '9sus2#11',
    pattern = '1010000100000010001'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté onzième',
    code = '9sus4#11',
    display = '9sus4#11',
    pattern = '1000010100000010001'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième augmenté onzième diminué treizième',
    code = 'maj9#11b13',
    display = 'Maj9#11b13',
    pattern = '1000100100000010001010'
  },
  {
    complexity = 3,
    name = 'mineur neuvième augmenté onzième diminué treizième',
    code = 'min9#11b13',
    display = 'min9#11b13',
    pattern = '1001000100000010001010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième augmenté onzième diminué treizième',
    code = '9sus2#11b13',
    display = '9sus2#11b13',
    pattern = '1010000100000010001010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième augmenté onzième diminué treizième',
    code = '9sus4#11b13',
    display = '9sus4#11b13',
    pattern = '1000010100000010001010'
  },
  {
    complexity = 3,
    name = 'Majeur neuvième diminué treizième',
    code = 'maj9b13',
    display = 'Maj9b13',
    pattern = '1000100100000010000010'
  },
  {
    complexity = 3,
    name = 'mineur neuvième diminué treizième',
    code = 'min9b13',
    display = 'min9b13',
    pattern = '1001000100000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu deuxième diminué treizième',
    code = '9sus2b13',
    display = '9sus2b13',
    pattern = '1010000100000010000010'
  },
  {
    complexity = 3,
    name = 'neuvième suspendu quatrième diminué treizième',
    code = '9sus4b13',
    display = '9sus4b13',
    pattern = '1000010100000010000010'
  },
  {
    complexity = 0,
    name = 'Majeur dixième',
    code = 'maj10',
    display = 'Maj10',
    pattern = '10001001000000001'
  },
  {
    complexity = 0,
    name = 'mineur dixième',
    code = 'min10',
    display = 'min10',
    pattern = '10010001000000010'
  },
  {
    complexity = 3,
    name = 'Majeur dixième diminué cinquième',
    code = 'maj10b5',
    display = 'Maj10b5',
    pattern = '10001010000000001'
  },
  {
    complexity = 3,
    name = 'mineur dixième augmenté cinquième',
    code = 'min10#5',
    display = 'min10#5',
    pattern = '10010000100000010'
  },
  {
    complexity = 2,
    name = 'Majeur dixième suspendu quatrième',
    code = 'maj10sus4',
    display = 'Maj10sus4',
    pattern = '10000101000000001'
  },
  {
    complexity = 2,
    name = 'mineur dixième suspendu quatrième',
    code = 'min10sus4',
    display = 'min10sus4',
    pattern = '10000101000000010'
  },
  {
    complexity = 3,
    name = 'Majeur dixième suspendu quatrième augmenté cinquième',
    code = 'maj10sus4#5',
    display = 'Maj10sus4#5',
    pattern = '10000100100000001'
  },
  {
    complexity = 3,
    name = 'mineur dixième suspendu quatrième augmenté cinquième',
    code = 'min10sus4#5',
    display = 'min10sus4#5',
    pattern = '10000100100000010'
  },
  {
    complexity = 0,
    name = 'onzième suspendu deuxième',
    code = '11sus2',
    display = '11sus2',
    pattern = '101000010000000001'
  },
  {
    complexity = 1,
    name = 'onzième suspendu quatrième',
    code = '11sus4',
    display = '11sus4',
    pattern = '100001010000000001'
  },
  {
    complexity = 3,
    name = 'onzième suspendu deuxième diminué cinquième',
    code = '11sus2b5',
    display = '11sus2b5',
    pattern = '101000100000000001'
  },
  {
    complexity = 3,
    name = 'onzième suspendu deuxième augmenté cinquième',
    code = '11sus2#5',
    display = '11sus2#5',
    pattern = '101000001000000001'
  },
  {
    complexity = 3,
    name = 'onzième suspendu quatrième augmenté cinquième',
    code = '11sus4#5',
    display = '11sus4#5',
    pattern = '100001001000000001'
  },
  {
    complexity = 0,
    name = 'Majeur douxième',
    code = 'maj12',
    display = 'Maj12',
    pattern = '10001001000000000001'
  },
  {
    complexity = 0,
    name = 'mineur douxième',
    code = 'min12',
    display = 'min12',
    pattern = '10010001000000000001'
  },
  {
    complexity = 1,
    name = 'douxième suspendu deuxième',
    code = '12sus2',
    display = '12sus2',
    pattern = '10100001000000000001'
  },
  {
    complexity = 1,
    name = 'douxième suspendu quatrième',
    code = '12sus4',
    display = '12sus4',
    pattern = '10000101000000000001'
  }
}